# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValueArg

Packages that use TSparkParameterValueArg
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkParameterValueArg in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkParameterValueArg
Modifier and Type
Class
Description
`class`
`TSparkParameterValueArg`
`class`
`TSparkParameterValueArg`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TSparkParameterValueArg
Modifier and Type
Field
Description
`List<TSparkParameterValueArg>`
TSparkParameter.`arguments`
`List<TSparkParameterValueArg>`
TSparkParameterValueArg.`arguments`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkParameterValueArg
Modifier and Type
Method
Description
`TSparkParameterValueArg`
TSparkParameterValueArg.`deepCopy()`
`TSparkParameterValueArg`
TSparkParameterValueArg.`setArguments(List<TSparkParameterValueArg> arguments)`
`TSparkParameterValueArg`
TSparkParameterValueArg.`setType(String type)`
`TSparkParameterValueArg`
TSparkParameterValueArg.`setValue(String value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TSparkParameterValueArg
Modifier and Type
Method
Description
`List<TSparkParameterValueArg>`
TSparkParameter.`getArguments()`
`List<TSparkParameterValueArg>`
TSparkParameterValueArg.`getArguments()`
`Iterator<TSparkParameterValueArg>`
TSparkParameter.`getArgumentsIterator()`
`Iterator<TSparkParameterValueArg>`
TSparkParameterValueArg.`getArgumentsIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameterValueArg
Modifier and Type
Method
Description
`void`
TSparkParameter.`addToArguments(TSparkParameterValueArg elem)`
`void`
TSparkParameterValueArg.`addToArguments(TSparkParameterValueArg elem)`
`int`
TSparkParameterValueArg.`compareTo(TSparkParameterValueArg other)`
`boolean`
TSparkParameterValueArg.`equals(TSparkParameterValueArg that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TSparkParameterValueArg
Modifier and Type
Method
Description
`TSparkParameter`
TSparkParameter.`setArguments(List<TSparkParameterValueArg> arguments)`
`TSparkParameterValueArg`
TSparkParameterValueArg.`setArguments(List<TSparkParameterValueArg> arguments)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameterValueArg
Modifier
Constructor
Description
``
`TSparkParameterValueArg(TSparkParameterValueArg other)`
Performs a deep copy on other.